import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'fa_button_platform_interface.dart';

/// An implementation of [FaButtonPlatform] that uses method channels.
class MethodChannelFaButton extends FaButtonPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('fa_button');

  @override
  Future<String?> getPlatformVersion() async {
    final version = await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }
}
